Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ch.mimo.netty.handler.codec.icap
Class StateReturnValue

    java.lang.Object
      ch.mimo.netty.handler.codec.icap.StateReturnValue

    public class StateReturnValue

extends Object

Return value encapsulation used in all message decoder states.

Author:
  Michael Mimo Moratti (mimo@mimo.ch)
See Also:
  `IcapMessageDecoder`, `State`

Constructor Summary
`StateReturnValue(boolean relevance, Object value, Object decisionInformation)`

Method Summary
`static StateReturnValue` | `createIrrelevantResult()`
`static StateReturnValue` | `createIrrelevantResultWithDecisionInformation(Object decisionInformation)`
`static StateReturnValue` | `createRelevantResult(Object result)`
`static StateReturnValue` | `createRelevantResultWithDecisionInformation(Object result, Object decisionInformation)`
`Object` | `getDecisionInformation()`
`Object` | `getValue()`
`boolean` | `isRelevant()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StateReturnValue

    public StateReturnValue(boolean relevance,
                            Object value,
                            Object decisionInformation)

Method Detail

### createIrrelevantResult

    public static StateReturnValue createIrrelevantResult()

### createIrrelevantResultWithDecisionInformation

    public static StateReturnValue createIrrelevantResultWithDecisionInformation(Object decisionInformation)

### createRelevantResult

    public static StateReturnValue createRelevantResult(Object result)

### createRelevantResultWithDecisionInformation

    public static StateReturnValue createRelevantResultWithDecisionInformation(Object result,
                                                                               Object decisionInformation)

### isRelevant

    public boolean isRelevant()

### getValue

    public Object getValue()

### getDecisionInformation

    public Object getDecisionInformation()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.